Changeset d6f1e74


Ignore:
Timestamp:
10/02/17 22:51:42 (5 years ago)
Author:
gregor herrmann <gregor@…>
Branches:
master
Children:
4d0db91
Parents:
9b07ee2
Message:

Make sure we build with -std=c++98 (under Unix and Qt4)

because gcc 4.2.1 on Maemo5 doesn't know c++11, and with this setting we can
prevent accidents also when building the Qt4 variant with a modern compiler.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • src/global.pri

    r9b07ee2 rd6f1e74  
    2525}
    2626
     27# gcc 4.2.1 on Maemo doesn't understand anything newer then c++98.
     28# make sure we explicitly add the flag even when building
     29# with a modern compiler.
     30# Only under Qt4 because Qt5 needs c++11
     31unix: {
     32    equals( QT_MAJOR_VERSION, 4 ) {
     33        QMAKE_CXXFLAGS += -std=c++98
     34    }
     35}
Note: See TracChangeset for help on using the changeset viewer.